Index: manpages/Makefile.in
diff -Nau manpages/Makefile.in.orig manpages/Makefile.in
--- manpages/Makefile.in.orig	2007-04-24 17:47:01.000000000 +0200
+++ manpages/Makefile.in	2008-11-19 22:55:01.066689027 +0100
@@ -20,23 +20,21 @@
 install:
 	$(MKDIR) $(DESTDIR)/$(mandir)/man8
 	for I in ${MAN8}; \
-	  do ($(RMF) $$I.gz; gzip -c $$I >$$I.gz; \
-	     $(INSTALL_DATA) $$I.gz $(DESTDIR)$(mandir)/man8/$$I.gz; \
-	     rm -f $$I.gz); \
+	  do \
+	     $(INSTALL_DATA) $$I $(DESTDIR)$(mandir)/man8/$$I; \
 	done
 	$(MKDIR) $(DESTDIR)/$(mandir)/man1
 	for I in ${MAN1}; \
-	  do ($(RMF) $$I.gz; gzip -c $$I >$$I.gz; \
-	     $(INSTALL_DATA) $$I.gz $(DESTDIR)$(mandir)/man1/$$I.gz; \
-	     rm -f $$I.gz); \
+	  do  \
+	     $(INSTALL_DATA) $$I $(DESTDIR)$(mandir)/man1/$$I; \
 	done
 
 uninstall:
 	for I in ${MAN8}; \
-	  do (rm -f $(DESTDIR)$(mandir)/man8/$$I.gz); \
+	  do (rm -f $(DESTDIR)$(mandir)/man8/$$I); \
 	done
 	for I in ${MAN1}; \
-	  do (rm -f $(DESTDIR)$(mandir)/man1/$$I.gz); \
+	  do (rm -f $(DESTDIR)$(mandir)/man1/$$I); \
 	done
 
 clean:
Index: scripts/bacula.in
diff -Nau scripts/bacula.in.orig scripts/bacula.in
--- scripts/bacula.in.orig	2008-07-24 17:02:06.000000000 +0200
+++ scripts/bacula.in	2009-09-17 00:40:53.423969596 +0200
@@ -13,37 +13,43 @@
 #  easier to "steal" this code for the development 
 #  environment where they are different.
 #  
-SCRIPTDIR=@scriptdir@
+SCRIPTDIR=@libexecdir@
 #
 # Disable Glibc malloc checks, it doesn't help and it keeps from getting
 #   good dumps
 MALLOC_CHECK_=0
 export MALLOC_CHECK_
 
-case "$1" in
+action=$1
+debug=$2
+[ -n "$3" ] && enable_dir=$3 || enable_dir=yes
+[ -n "$4" ] && enable_sd=$4  || enable_sd=yes
+[ -n "$5" ] && enable_fd=$5  || enable_fd=yes
+ 
+case "$action" in
    start)
-      [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd $1 $2
-      [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd $1 $2
-      [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir $1 $2
+      [ "$enable_sd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd $1 $2
+      [ "$enable_fd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd $1 $2
+      [ "$enable_dir" = "yes" ] && [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir $1 $2
       ;;
 
    stop)
       # Stop the FD first so that SD will fail jobs and update catalog
-      [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd $1 $2
-      [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd $1 $2
-      [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir $1 $2
+      [ "$enable_sd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd $1 $2
+      [ "$enable_fd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd $1 $2
+      [ "$enable_dir" = "yes" ] && [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir $1 $2
       ;;
 
    restart)
-      $0 stop
+      $0 stop $debug $enable_dir $enable_sd $enable_fd
       sleep 2
-      $0 start
+      $0 start $debug $enable_dir $enable_sd $enable_fd
       ;;
 
    status)
-      [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd status
-      [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd status
-      [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir status
+      [ "$enable_sd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd status
+      [ "$enable_fd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd status
+      [ "$enable_dir" = "yes" ] && [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir status
       ;;
 
    *)
Index: scripts/btraceback.in
diff -Nau scripts/btraceback.in.orig scripts/btraceback.in
--- scripts/btraceback.in.orig	2008-06-01 10:49:00.000000000 +0200
+++ scripts/btraceback.in	2008-11-19 23:09:44.305993544 +0100
@@ -13,6 +13,9 @@
 WD="@working_dir@"
 if test `uname -s` = SunOS ; then
   gcore -o ${WD}/${PNAME} $2
+fi
+if test `uname -s` = SunOS &&
+   test -n `which dbx 2>/dev/null` ; then
   dbx $1 $2 <@scriptdir@/btraceback.dbx >${WD}/bacula.$$.traceback 2>&1
   cat ${WD}/bacula.$$.traceback \
    | @sbindir@/bsmtp -h @smtp_host@ -f @dump_email@ -s "Bacula DBX traceback of ${PNAME}" @dump_email@
Index: src/dird/bacula-dir.conf.in
diff -Nau src/dird/bacula-dir.conf.in.orig src/dird/bacula-dir.conf.in
--- src/dird/bacula-dir.conf.in.orig	2009-07-15 19:05:40.000000000 +0200
+++ src/dird/bacula-dir.conf.in	2009-09-17 00:45:04.055970595 +0200
@@ -29,7 +29,8 @@
   Level = Incremental
   Client = @basename@-fd 
   FileSet = "Full Set"
-  Schedule = "WeeklyCycle"
+ #Schedule = "WeeklyCycle"
+  Schedule = "NEVER"
   Storage = File
   Messages = Standard
   Pool = Default
@@ -109,7 +110,7 @@
 #    directory to give a reasonable FileSet to backup to
 #    disk storage during initial testing.
 #
-    File = @sbindir@
+    File = @scriptdir@
   }
 
 #
@@ -126,6 +127,11 @@
   }
 }
 
+# This schedule can be used to disable automatic scheduling
+Schedule {
+  Name = NEVER
+}
+
 #
 # When to do the backups, full backup on first sunday of the month,
 #  differential (i.e. incremental since full) every other sunday,
